<?php
$replyform = $Page == 'melding' && !empty($User);
@list ($year, $page) = explode('/', trim($Args, '/'));

if ($User and $User->admin) {
	print '<script src="/nieuws/edit.js"></script>'."\n";
}

if ($page and !is_numeric($page)) {
	$edit = $User && $User->admin ? htmlspecialchars(@$_GET['edit']) : NULL;
	if ($edit) {
		$Article->title = $edit;
	}
	$Place[1] = ' <small class="date">'.$Article->date.'</small>';
	print preg_replace('{(?<=<h2>)(.*?)(?=</h2>)}', ($edit ?: '\1').' [[1]]', ob_get_clean());
	if ($User and $User->admin) {
		$taglist = [];
		foreach (glob("$Page/.tags/*") as $tagpath) {
			$tagname = pathinfo($tagpath, PATHINFO_BASENAME);
			$tagvalue = file_exists("$tagpath/$year-$page.html");
			$tagtarget = is_writable($tagpath);
			$taglist[] = sprintf(
				'<input type="checkbox" name="%s" value="%s" id="%s"%s%s />' .
				'<label for="%3$s"> %s</label>',
				"tags[$tagname]", $tagname, "tag-$tagname",
				$tagvalue ? ' checked' : '',
				' disabled',
				ucfirst($tagname)
			);
		}
		if ($taglist) {
			printf('<p class="tags"><strong>Tags:</strong> %s</p>'."\n",
				implode("\n\t", $taglist)
			);
		}
	}
	if ($replyform) {
		print placeholder_include('nieuws/replies');
	}
	return 1;
}

if ($year) {
	ob_clean();
	$match = $Page;
	$title = "Nieuws";
	if (is_numeric($year) and $year > 999) {
		$match .= "/$year";
		if (is_numeric($page)) {
			$title .= ' '.$monthname[intval($page)];
			$match .= sprintf('%02d-', $page);
		}
		$title .= ' '.$year;
	}
	elseif ($year === '19') {
		$match .= "/19??";
		$title .= " vóór 2000";
	}
	elseif (file_exists("$Page/.tags/$year")) {
		$match .= "/.tags/$year";
		$title .= " met $year";
	}

	print "<h2>$title</h2>\n\n";
	print placeholder_include('nieuws', [$match]);
	return 1;
}
